From 094a9af2d36dd9843d52092e6fb512451bdf00bc Mon Sep 17 00:00:00 2001
From: root <root@fedora-arm.(none)>
Date: Thu, 11 Dec 2008 03:01:05 -0500
Subject: [PATCH] Include fix for -fstack-protector attribute.

Signed-off-by: root <root@fedora-arm.(none)>
---
 gcc43-pr35965.patch |   22 ++++++++++++++++++++++
 gcc43.spec          |    5 +++--
 2 files changed, 25 insertions(+), 2 deletions(-)
 create mode 100644 gcc43-pr35965.patch

diff --git a/gcc43-pr35965.patch b/gcc43-pr35965.patch
new file mode 100644
index 0000000..57930c2
--- /dev/null
+++ b/gcc43-pr35965.patch
@@ -0,0 +1,22 @@
+--- gcc-4.3.2-20081105/gcc/config/arm/arm.c.orig	2008-12-06 19:33:35.000000000 -0500
++++ gcc-4.3.2-20081105/gcc/config/arm/arm.c	2008-12-06 19:36:32.000000000 -0500
+@@ -3372,7 +3372,8 @@ require_pic_register (void)
+       gcc_assert (can_create_pseudo_p ());
+       if (arm_pic_register != INVALID_REGNUM)
+ 	{
+-	  cfun->machine->pic_reg = gen_rtx_REG (Pmode, arm_pic_register);
++	  if (!cfun->machine->pic_reg)
++            cfun->machine->pic_reg = gen_rtx_REG (Pmode, arm_pic_register);
+ 
+ 	  /* Play games to avoid marking the function as needing pic
+ 	     if we are being called as part of the cost-estimation
+@@ -3384,7 +3385,8 @@ require_pic_register (void)
+ 	{
+ 	  rtx seq;
+ 
+-	  cfun->machine->pic_reg = gen_reg_rtx (Pmode);
++	  if (!cfun->machine->pic_reg)
++	    cfun->machine->pic_reg = gen_reg_rtx (Pmode);
+ 
+ 	  /* Play games to avoid marking the function as needing pic
+ 	     if we are being called as part of the cost-estimation
diff --git a/gcc43.spec b/gcc43.spec
index ce05da4..41aa949 100644
--- a/gcc43.spec
+++ b/gcc43.spec
@@ -34,7 +34,7 @@
 Summary: Various compilers (C, C++, Objective-C, Java, ...)
 Name: gcc
 Version: %{gcc_version}
-Release: %{gcc_release}.fa1
+Release: %{gcc_release}.fa2
 # libgcc, libgfortran, libmudflap and crtstuff have an exception which allows
 # linking it into any kind of programs or shared libraries without
 # restrictions.
@@ -167,7 +167,7 @@ Patch30: gcc43-pr37879.patch
 Patch31: gcc43-pr37924.patch
 Patch32: gcc43-arm-progbits.patch
 Patch33: libgcc_post_upgrade.c.arm.patch
-
+Patch34: gcc43-pr35965.patch
 # On ARM EABI systems, we do want -gnueabi to be part of the
 # target triple.
 %ifnarch %{arm}
@@ -483,6 +483,7 @@ which are required to run programs compiled with the GNAT.
 %patch30 -p0 -b .pr37879~
 %patch31 -p0 -b .pr37924~
 %patch32 -p1 -b .progbits~
+%patch34 -p1 -b .pr35965~
 
 tar xzf %{SOURCE4}
 
-- 
1.5.3.3

